<template>
  <div>
    <q-item
      class="GNL__drawer-item"
      active-class="is-active"
      to="/report"
      v-ripple
      clickable
    >
      <q-item-section avatar>
        <q-icon name="assessment" />
      </q-item-section>
      <q-item-section>
        <q-item-label>Report Summary</q-item-label>
      </q-item-section>
    </q-item>
    <q-item
      class="GNL__drawer-item"
      v-if="this.role == 2"
      disable
      active-class="is-active"
      v-ripple
      clickable
    >
      <q-item-section avatar>
        <q-icon name="assessment" />
      </q-item-section>
      <q-item-section>
        <q-item-label>Report Share Holder</q-item-label>
      </q-item-section>
      <q-item-section side top>
        <q-badge label="coming-soon" color="white" text-color="dark" />
      </q-item-section>
    </q-item>
    <q-item
      class="GNL__drawer-item"
      v-if="this.role <= 3"
      disable
      active-class="is-active"
      v-ripple
      clickable
    >
      <q-item-section avatar>
        <q-icon name="assessment" />
      </q-item-section>
      <q-item-section>
        <q-item-label>Report Senior</q-item-label>
      </q-item-section>
      <q-item-section side top>
        <q-badge label="coming-soon" color="white" text-color="dark" />
      </q-item-section>
    </q-item>
    <q-item
      class="GNL__drawer-item"
      v-if="this.role <= 4"
      disable
      active-class="is-active"
      v-ripple
      clickable
    >
      <q-item-section avatar>
        <q-icon name="assessment" />
      </q-item-section>
      <q-item-section>
        <q-item-label>Report Agent</q-item-label>
      </q-item-section>
      <q-item-section side top>
        <q-badge label="coming-soon" color="white" text-color="dark" />
      </q-item-section>
    </q-item>
    <q-item
      class="GNL__drawer-item"
      v-if="this.role <= 5"
      :to="{ name: 'report-member' }"
      active-class="is-active"
      v-ripple
      clickable
    >
      <q-item-section avatar>
        <q-icon name="assessment" />
      </q-item-section>
      <q-item-section>
        <q-item-label>Report Member</q-item-label>
      </q-item-section>
      <q-item-section side top>
        <q-badge label="v2" color="primary" text-color="white" />
      </q-item-section>
    </q-item>
    <q-item
      class="GNL__drawer-item"
      v-if="this.role <= 5"
      disable
      active-class="is-active"
      v-ripple
      clickable
    >
      <q-item-section avatar>
        <q-icon name="assessment" />
      </q-item-section>
      <q-item-section>
        <q-item-label>Report Affiliate</q-item-label>
      </q-item-section>
      <q-item-section side top>
        <q-badge label="feature" color="negative" />
        <q-badge label="coming-soon" color="white" text-color="dark" />
      </q-item-section>
    </q-item>
    <q-item
      class="GNL__drawer-item"
      v-if="this.role <= 5"
      :disable="username == 'senior_betclub-999' ? false : true"
      :to="{path: '/v2/transaction'}"
      active-class="is-active"
      v-ripple
      clickable
    >
      <q-item-section avatar>
        <q-icon name="assessment" />
      </q-item-section>
      <q-item-section>
        <q-item-label>Report Transaction</q-item-label>
      </q-item-section>
      <!-- <q-item-section side top>
        <q-badge label="feature" color="negative" />
        <q-badge label="coming-soon" color="white" text-color="dark" />
      </q-item-section> -->
    </q-item>
  </div>
</template>
<script>
import { mapState } from "vuex";
export default {
  // name: 'ComponentName',
  props: {
    role: {
      type: Number,
      default: 999
    }
  },
  data() {
    return {};
  },
  computed: {
    ...mapState("auth", ["username"])
  }
};
</script>
